﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsFormsApplication8
{
    public partial class Form1 : Form
    {
        DataTable table;
        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.DataSource = ReturnATable();
            this.gridDataBoundGrid1.CellClick += new Syncfusion.Windows.Forms.Grid.GridCellClickEventHandler(gridDataBoundGrid1_CellClick);

        }

        void gridDataBoundGrid1_CellClick(object sender, Syncfusion.Windows.Forms.Grid.GridCellClickEventArgs e)
        {
            GridCurrentCell cc=this.gridDataBoundGrid1.CurrentCell;
            if (e.ColIndex == 1)
            {
                if (!string.IsNullOrEmpty(this.gridDataBoundGrid1[cc.RowIndex, cc.ColIndex].FormattedText))
                {
                    for (int i = 0; i < gridDataBoundGrid1.Model.RowCount;i++ )
                    {
                        if(e.RowIndex!=i)
                        {
                            if (this.gridDataBoundGrid1[cc.RowIndex, cc.ColIndex].CellValue.ToString() == gridDataBoundGrid1[i, e.ColIndex].CellValue.ToString())
                            {
                                MessageBox.Show(this.gridDataBoundGrid1[cc.RowIndex, cc.ColIndex].CellValue.ToString() + " is already entered");
                                this.gridDataBoundGrid1[cc.RowIndex, cc.ColIndex].CellValue = string.Empty;
                                e.Cancel = false;
                                return;
                            }
                        }
                    }
                }
            }
        }
        private DataTable ReturnATable()
        {
            table = new DataTable("People");

            // Add two columns.
            table.Columns.Add(new DataColumn("FirstName"));
            table.Columns.Add(new DataColumn("LastName"));

            // Add some rows.
            DataRow dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Smith";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Mary";
            dr["LastName"] = "Tucker";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Sue";
            dr["LastName"] = "Gaskins";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Jacobs";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Sam";
            dr["LastName"] = "Garfunkel";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "George";
            dr["LastName"] = "Shepherd";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Becky";
            dr["LastName"] = "Dunsford";
            table.Rows.Add(dr);

            return table;
        }
    }
}
